"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MToolbarColors = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const commands_1 = require("../../../markup/commands");
const ToolbarColors_1 = require("../custom/ToolbarColors");
const MToolbarColors = ({ className, editor, focus, onClick, }) => {
    return (react_1.default.createElement(ToolbarColors_1.ToolbarColors, { enable: true, exec: (color) => {
            (0, commands_1.colorify)(color)(editor.cm);
        }, className: className, focus: focus, onClick: onClick }));
};
exports.MToolbarColors = MToolbarColors;
