"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactWidgetDescriptor = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_dom_1 = require("react-dom");
const ErrorBoundary_1 = require("../../../react-utils/ErrorBoundary");
const ReactRenderer_1 = require("../ReactRenderer");
const WidgetDescriptor_1 = require("./WidgetDescriptor");
class ReactWidgetDescriptor extends WidgetDescriptor_1.WidgetDescriptor {
    remove() {
        var _a;
        (_a = this.renderItem) === null || _a === void 0 ? void 0 : _a.remove();
        this.renderItem = undefined;
    }
    renderWidget() {
        var _a;
        this.renderItem = (_a = this.renderItem) !== null && _a !== void 0 ? _a : this.createRenderItem();
        this.renderItem.rerender();
        return this.getDomElem();
    }
    createRenderItem() {
        return (0, ReactRenderer_1.getReactRendererFromState)(this.view.state).createItem('widget', () => (0, react_dom_1.createPortal)(react_1.default.createElement(ErrorBoundary_1.ErrorLoggerBoundary, null, this.renderReactElement(this.view, this.getPos)), this.getDomElem()));
    }
}
exports.ReactWidgetDescriptor = ReactWidgetDescriptor;
