"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorScreen = exports.cnGptDialogErrorScreen = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const icons_1 = require("@gravity-ui/icons");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../../classname");
const errors_1 = require("../../../../i18n/gpt/errors");
const IconRefuge_1 = require("../IconRefuge/IconRefuge");
exports.cnGptDialogErrorScreen = (0, classname_1.cn)('gpt-dialog-error-screen');
const ErrorScreen = ({ onRetry, onStartAgain }) => {
    return (react_1.default.createElement("div", { className: (0, exports.cnGptDialogErrorScreen)() },
        react_1.default.createElement("div", { className: (0, exports.cnGptDialogErrorScreen)('content') },
            react_1.default.createElement(IconRefuge_1.IconRefuge, { containerClassName: (0, exports.cnGptDialogErrorScreen)('icon'), data: icons_1.CircleXmarkFill, refugeSize: 28, size: 16 }),
            react_1.default.createElement("span", { className: (0, exports.cnGptDialogErrorScreen)('text') }, (0, errors_1.i18n)('error-text'))),
        react_1.default.createElement("div", { className: (0, exports.cnGptDialogErrorScreen)('buttons') },
            react_1.default.createElement(uikit_1.Button, { view: "normal", onClick: onStartAgain }, (0, errors_1.i18n)('start-again-button')),
            react_1.default.createElement(uikit_1.Button, { view: "normal", onClick: onRetry }, (0, errors_1.i18n)('retry-button')))));
};
exports.ErrorScreen = ErrorScreen;
