import type { DropdownMenuItem } from '@gravity-ui/uikit';
import type { GptDialogProps } from '../GptDialog/GptDialog';
import type { PresetListProps } from '../PresetList/PresetList';
declare type UsePresetListProps = Pick<GptDialogProps, 'promptPresets'> & {
    onPresetClick: PresetListProps['onPresetClick'];
};
export declare const usePresetList: ({ promptPresets, onPresetClick }: UsePresetListProps) => {
    measured: boolean;
    showMoreButton: boolean;
    presetsContainerRef: import("react").RefObject<HTMLDivElement>;
    visiblePresets: import("../ErrorScreen/types").PromptPreset<unknown>[];
    hiddenPresets: DropdownMenuItem<unknown>[];
};
export {};
