import type React from 'react';
import { GptDialogProps } from './GptDialog/GptDialog';
declare type CombinedKeyboardEvent = KeyboardEvent | React.KeyboardEvent;
export declare function getAlertGptInfo(gptAlert: GptDialogProps['gptAlertProps']): {
    alertMessage: string;
    alertTheme: import("@gravity-ui/uikit/build/esm/components/Alert/types").AlertTheme;
    alertClassName: string | undefined;
};
export declare function getDisableReplaceButtonText(disablePromptPresets?: boolean): string;
export declare function getInputPlaceHolder(disablePromptPresets?: boolean, disabledPromptPlaceholder?: string, customPromptPlaceholder?: string): string | undefined;
export declare const isEnter: (event: CombinedKeyboardEvent) => boolean;
export declare function focusWithoutScroll(element?: HTMLElement | null): void;
export {};
