"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.focusWithoutScroll = exports.isEnter = exports.getInputPlaceHolder = exports.getDisableReplaceButtonText = exports.getAlertGptInfo = void 0;
const dialog_1 = require("../../../i18n/gpt/dialog");
function getAlertGptInfo(gptAlert) {
    return {
        alertMessage: (gptAlert === null || gptAlert === void 0 ? void 0 : gptAlert.message) || (0, dialog_1.i18n)('alert-gpt-presets-info'),
        alertTheme: (gptAlert === null || gptAlert === void 0 ? void 0 : gptAlert.theme) || 'info',
        alertClassName: gptAlert === null || gptAlert === void 0 ? void 0 : gptAlert.className,
    };
}
exports.getAlertGptInfo = getAlertGptInfo;
function getDisableReplaceButtonText(disablePromptPresets) {
    return disablePromptPresets ? (0, dialog_1.i18n)(`replace-disabled`) : (0, dialog_1.i18n)(`replace`);
}
exports.getDisableReplaceButtonText = getDisableReplaceButtonText;
function getInputPlaceHolder(disablePromptPresets, disabledPromptPlaceholder, customPromptPlaceholder) {
    return disablePromptPresets ? disabledPromptPlaceholder : customPromptPlaceholder;
}
exports.getInputPlaceHolder = getInputPlaceHolder;
const isEnter = (event) => event.code === 'Enter' || event.code === 'NumpadEnter';
exports.isEnter = isEnter;
function focusWithoutScroll(element) {
    const x = window.scrollX;
    const y = window.scrollY;
    element === null || element === void 0 ? void 0 : element.focus({
        preventScroll: true,
    });
    window.scrollTo(x, y);
}
exports.focusWithoutScroll = focusWithoutScroll;
