"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parserTokens = void 0;
const const_1 = require("./const");
exports.parserTokens = {
    [const_1.YfmTableNode.Table]: { name: const_1.YfmTableNode.Table, type: 'block' },
    [const_1.YfmTableNode.Body]: { name: const_1.YfmTableNode.Body, type: 'block' },
    [const_1.YfmTableNode.Row]: { name: const_1.YfmTableNode.Row, type: 'block' },
    [const_1.YfmTableNode.Cell]: {
        name: const_1.YfmTableNode.Cell,
        type: 'block',
        getAttrs: (token) => {
            var _a, _b;
            const attrs = Object.fromEntries(token.attrs || []);
            const align = (_b = (_a = token.attrGet('class')) === null || _a === void 0 ? void 0 : _a.match(/cell-align-[a-z-]*/)) === null || _b === void 0 ? void 0 : _b[0];
            if (align)
                attrs[const_1.YfmTableAttr.CellAlign] = align;
            return attrs;
        },
    },
};
