import React from 'react';
import { ClassNameProps } from '../classname';
export declare type FileFormSubmitParams = {
    src: string;
    name: string;
};
export declare type FileFormProps = ClassNameProps & {
    autoFocus?: boolean;
    onSubmit(params: FileFormSubmitParams): void;
    onCancel(): void;
    onAttach?: (files: File[]) => void;
    loading?: boolean;
};
export declare const FileForm: React.FC<FileFormProps>;
