"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmPreset = void 0;
const markdown_1 = require("../extensions/markdown");
const yfm_1 = require("../extensions/yfm");
const default_1 = require("./default");
const YfmPreset = (builder, opts) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l;
    builder.use(default_1.DefaultPreset, Object.assign(Object.assign({}, opts), { image: false, heading: false }));
    builder
        .use(markdown_1.Deflist, (_a = opts.deflist) !== null && _a !== void 0 ? _a : {})
        .use(markdown_1.Subscript)
        .use(markdown_1.Superscript)
        .use(markdown_1.Underline, (_b = opts.underline) !== null && _b !== void 0 ? _b : {})
        .use(yfm_1.Checkbox, (_c = opts.checkbox) !== null && _c !== void 0 ? _c : {})
        .use(yfm_1.ImgSize, (_d = opts.imgSize) !== null && _d !== void 0 ? _d : {})
        .use(yfm_1.Monospace)
        .use(yfm_1.Video, (_e = opts.video) !== null && _e !== void 0 ? _e : {})
        .use(yfm_1.YfmConfigs, (_f = opts.yfmConfigs) !== null && _f !== void 0 ? _f : {})
        .use(yfm_1.YfmCut, (_g = opts.yfmCut) !== null && _g !== void 0 ? _g : {})
        .use(yfm_1.YfmNote, (_h = opts.yfmNote) !== null && _h !== void 0 ? _h : {})
        .use(yfm_1.YfmFile, (_j = opts.yfmFile) !== null && _j !== void 0 ? _j : {})
        .use(yfm_1.YfmHeading, (_k = opts.yfmHeading) !== null && _k !== void 0 ? _k : {})
        .use(yfm_1.YfmTable, (_l = opts.yfmTable) !== null && _l !== void 0 ? _l : {})
        .use(yfm_1.YfmTabs);
};
exports.YfmPreset = YfmPreset;
