"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const const_1 = require("./const");
const formatter_1 = require("./formatter");
/* eslint-disable */
formatter_1.formatter
    .set(const_1.Action.__debug, [const_1.ModKey.Mod, const_1.ModKey.Option, ']'])
    .set(const_1.Action.Cancel, [const_1.Key.Esc])
    .set(const_1.Action.Submit, [const_1.ModKey.Mod, const_1.Key.Enter])
    .set(const_1.Action.Undo, [const_1.ModKey.Mod, 'z'])
    .set(const_1.Action.Redo, [const_1.ModKey.Mod, const_1.ModKey.Shift, 'z'])
    .set(const_1.Action.Bold, [const_1.ModKey.Mod, 'b'])
    .set(const_1.Action.Italic, [const_1.ModKey.Mod, 'i'])
    .set(const_1.Action.Underline, [const_1.ModKey.Mod, 'u'])
    .set(const_1.Action.Strike, [const_1.ModKey.Mod, const_1.ModKey.Shift, 's'])
    .set(const_1.Action.Code, [const_1.ModKey.Mod, 'e'])
    .set(const_1.Action.Link, [const_1.ModKey.Mod, 'k'])
    .set(const_1.Action.Text, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '0'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '0'] })
    .set(const_1.Action.Heading1, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '1'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '1'] })
    .set(const_1.Action.Heading2, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '2'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '2'] })
    .set(const_1.Action.Heading3, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '3'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '3'] })
    .set(const_1.Action.Heading4, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '4'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '4'] })
    .set(const_1.Action.Heading5, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '5'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '5'] })
    .set(const_1.Action.Heading6, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '6'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '6'] })
    .set(const_1.Action.BulletList, [const_1.ModKey.Mod, const_1.ModKey.Shift, 'l'])
    .set(const_1.Action.OrderedList, [const_1.ModKey.Mod, const_1.ModKey.Shift, 'm'])
    .set(const_1.Action.SinkListItem, [const_1.ModKey.Tab])
    .set(const_1.Action.LiftListItem, [const_1.ModKey.Shift, const_1.ModKey.Tab])
    .set(const_1.Action.Quote, [const_1.ModKey.Mod, const_1.ModKey.Shift, '.'])
    .set(const_1.Action.CodeBlock, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, 'e'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, 'e'] })
    .set(const_1.Action.Cut, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '7'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '7'] })
    .set(const_1.Action.Note, { pc: [const_1.ModKey.Ctrl, const_1.ModKey.Shift, '8'], mac: [const_1.ModKey.Cmd, const_1.ModKey.Option, '8'] });
/* eslint-enable */
