import type { PopupProps } from '@gravity-ui/uikit';
import type { EditorView } from 'prosemirror-view';
export declare type AutocompletePopupProps = Pick<PopupProps, 'onOutsideClick' | 'onEscapeKeyDown' | 'onEnterKeyDown'> & {
    anchor?: Element | null;
};
export declare class AutocompletePopupCloser {
    #private;
    constructor(view: EditorView);
    popupEscapeKeyHandler: NonNullable<PopupProps['onEscapeKeyDown']>;
    popupOutsideClickHandler: NonNullable<PopupProps['onOutsideClick']>;
    closeAutocomplete(): void;
    cancelTimer(): void;
}
