import React, { ComponentType, RefAttributes } from 'react';
import type { PluginRuntime, TransformMeta } from './types';
export declare type WithLatexOptions = {
    runtime: PluginRuntime;
};
export declare type WithLatexProps = {
    meta: TransformMeta;
};
export declare function withLatex(opts: WithLatexOptions): <T extends {
    html: string;
}>(Component: React.ComponentType<T & React.RefAttributes<HTMLDivElement>>) => React.ForwardRefExoticComponent<React.PropsWithoutRef<T & WithLatexProps> & React.RefAttributes<HTMLDivElement>>;
