import React from 'react';
import { ClassNameProps } from '../classname';
import type { EditorInt, SplitMode } from './Editor';
import type { MToolbarData, MToolbarItemData } from './config/markup';
import './MarkupEditorView.css';
export declare type MarkupEditorViewProps = ClassNameProps & {
    editor: EditorInt;
    autofocus?: boolean;
    toolbarConfig: MToolbarData;
    settingsVisible?: boolean;
    toolbarVisible?: boolean;
    stickyToolbar?: boolean;
    toolbarClassName?: string;
    splitMode?: SplitMode;
    splitModeEnabled: boolean;
    hiddenActionsConfig?: MToolbarItemData[];
    children?: React.ReactNode;
};
export declare const MarkupEditorView: React.NamedExoticComponent<MarkupEditorViewProps>;
