import { toggleMark } from 'prosemirror-commands';
import { isMarkActive } from '../../../utils/marks';
import { linkType } from '.';
export const removeLink = (state, dispatch) => {
    const linkMarkType = linkType(state.schema);
    if (isMarkActive(state, linkMarkType))
        return toggleMark(linkMarkType)(state, dispatch);
    return false;
};
