import type { Action, ExtensionAuto } from '../../../../core';
import type { EmojiSpecsOptions } from '../EmojiSpecs';
declare const emojiSuggestActionName = "openEmojiSuggest";
declare type EmojiSuggestActionAttrs = {
    text?: string;
};
export declare const EmojiSuggest: ExtensionAuto<EmojiSpecsOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [emojiSuggestActionName]: Action<EmojiSuggestActionAttrs>;
        }
    }
}
export {};
