import React from 'react';
import { AutocompletePopupProps } from '../../../../utils/autocomplete-popup';
import type { EmojiDef } from './types';
import './EmojiSuggestComponent.css';
export declare type EmojiSuggestComponentProps = AutocompletePopupProps & {
    currentIndex?: number;
    items: readonly EmojiDef[];
    onClick(itemIndex: number): void;
};
export declare const EmojiSuggestComponent: React.FC<EmojiSuggestComponentProps>;
export declare function render(props: EmojiSuggestComponentProps): React.ReactNode;
