import { get$Cursor } from '../../../../utils/selection';
import { YfmHeadingAttr } from '../const';
import { isFoldingHeading } from '../utils';
export const removeFoldingIfCursorAtStartOfHeading = (state, dispatch) => {
    const $cursor = get$Cursor(state.selection);
    if (!$cursor)
        return false;
    if ($cursor.parentOffset === 0 && isFoldingHeading($cursor.parent)) {
        dispatch === null || dispatch === void 0 ? void 0 : dispatch(state.tr.setNodeAttribute($cursor.before(), YfmHeadingAttr.Folding, null));
        return true;
    }
    return false;
};
