import { TextSelection } from 'prosemirror-state';
import { pluginKey } from './plugin';
export const runGpt = (state, dispatch) => {
    const { selection: sel } = state;
    const meta = { action: 'show', from: sel.from, to: sel.to };
    const tr = state.tr.setMeta(pluginKey, meta);
    dispatch === null || dispatch === void 0 ? void 0 : dispatch(tr.setSelection(TextSelection.create(tr.doc, sel.to)));
    return true;
};
