import { i18n } from '../../../i18n/gpt/dialog';
export function getAlertGptInfo(gptAlert) {
    return {
        alertMessage: (gptAlert === null || gptAlert === void 0 ? void 0 : gptAlert.message) || i18n('alert-gpt-presets-info'),
        alertTheme: (gptAlert === null || gptAlert === void 0 ? void 0 : gptAlert.theme) || 'info',
        alertClassName: gptAlert === null || gptAlert === void 0 ? void 0 : gptAlert.className,
    };
}
export function getDisableReplaceButtonText(disablePromptPresets) {
    return disablePromptPresets ? i18n(`replace-disabled`) : i18n(`replace`);
}
export function getInputPlaceHolder(disablePromptPresets, disabledPromptPlaceholder, customPromptPlaceholder) {
    return disablePromptPresets ? disabledPromptPlaceholder : customPromptPlaceholder;
}
export const isEnter = (event) => event.code === 'Enter' || event.code === 'NumpadEnter';
export function focusWithoutScroll(element) {
    const x = window.scrollX;
    const y = window.scrollY;
    element === null || element === void 0 ? void 0 : element.focus({
        preventScroll: true,
    });
    window.scrollTo(x, y);
}
