import { PluginOptions } from '@diplodoc/html-extension/plugin/transform';
import type { IHTMLIFrameElementConfig } from '@diplodoc/html-extension/runtime';
import { Action, ExtensionAuto } from '../../../core';
import { YfmHtmlBlockAction } from './YfmHtmlBlockSpecs/const';
export interface YfmHtmlBlockOptions extends Omit<PluginOptions, 'runtimeJsPath' | 'containerClasses' | 'bundle' | 'embeddingMode'> {
    useConfig?: () => IHTMLIFrameElementConfig | undefined;
}
export declare const YfmHtmlBlock: ExtensionAuto<YfmHtmlBlockOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [YfmHtmlBlockAction]: Action;
        }
    }
}
