import { I18N } from '@gravity-ui/i18n';
declare type KeysData = Record<string, string | string[]>;
declare const i18n: I18N;
export { i18n };
export declare function registerKeyset<K extends string, D extends KeysData>(keyset: K, data: Record<'en' | 'ru', D>): <G extends keyof Record<K, D>[K], S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? Record<K, D>[K][G] : string;
