"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.icons = void 0;
const tslib_1 = require("tslib");
const icons_1 = require("../../icons");
const GPT_1 = tslib_1.__importDefault(require("../../icons/GPT"));
exports.icons = {
    undo: { data: icons_1.UndoIcon },
    redo: { data: icons_1.RedoIcon },
    bold: { data: icons_1.BoldIcon },
    italic: { data: icons_1.ItalicIcon },
    underline: { data: icons_1.UnderlineIcon },
    strikethrough: { data: icons_1.StrikethroughIcon },
    mono: { data: icons_1.MonoIcon },
    mark: { data: icons_1.MarkIcon },
    textColor: { data: icons_1.TextColorIcon },
    text: { data: icons_1.TextIcon },
    headline: { data: icons_1.HeadingIcon },
    h1: { data: icons_1.Heading1Icon },
    h2: { data: icons_1.Heading2Icon },
    h3: { data: icons_1.Heading3Icon },
    h4: { data: icons_1.Heading4Icon },
    h5: { data: icons_1.Heading5Icon },
    h6: { data: icons_1.Heading6Icon },
    bulletList: { data: icons_1.ListBlIcon },
    orderedList: { data: icons_1.ListOlIcon },
    sink: { data: icons_1.SinkIcon },
    lift: { data: icons_1.LiftIcon },
    cut: { data: icons_1.CutIcon },
    note: { data: icons_1.NoteIcon },
    code: { data: icons_1.CodeInlineIcon },
    codeBlock: { data: icons_1.CodeBlockIcon },
    link: { data: icons_1.LinkIcon },
    image: { data: icons_1.ImageIcon },
    table: { data: icons_1.TableIcon },
    quote: { data: icons_1.QuoteIcon },
    checklist: { data: icons_1.CheckListIcon },
    html: { data: icons_1.HtmlBlockIcon },
    horizontalRule: { data: icons_1.HRuleIcon },
    file: { data: icons_1.FileIcon },
    functionInline: { data: icons_1.FunctionInlineIcon },
    functionBlock: { data: icons_1.FunctionBlockIcon },
    emoji: { data: icons_1.EmojiIcon },
    tabs: { data: icons_1.TabsIcon },
    mermaid: { data: icons_1.MermaidIcon },
    foldingHeading: { data: icons_1.FoldingHeadingIcon },
    gpt: { data: GPT_1.default },
};
