"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stickyCn = void 0;
const classname_1 = require("../../classname");
const b = (0, classname_1.cn)('editor-sticky');
exports.stickyCn = {
    toolbar: ({ withSettings, stickyActive, isSticky }, mix) => {
        const mods = {
            part: withSettings ? 'left' : false,
            'sticky-active': stickyActive,
            sticky: isSticky,
        };
        return b(mods, mix);
    },
    settings: ({ withToolbar, stickyActive }, mix) => {
        const mods = {
            part: withToolbar ? 'right' : false,
            'sticky-active': stickyActive,
            clear: !withToolbar,
            sticky: true,
        };
        return b(mods, mix);
    },
};
