"use strict";
var _SerializerTokensRegistry_nodes, _SerializerTokensRegistry_marks;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SerializerTokensRegistry = void 0;
const tslib_1 = require("tslib");
const MarkdownSerializer_1 = require("./markdown/MarkdownSerializer");
class SerializerTokensRegistry {
    constructor() {
        _SerializerTokensRegistry_nodes.set(this, {});
        _SerializerTokensRegistry_marks.set(this, {});
    }
    addNode(name, node) {
        tslib_1.__classPrivateFieldGet(this, _SerializerTokensRegistry_nodes, "f")[name] = node;
        return this;
    }
    addMark(name, mark) {
        tslib_1.__classPrivateFieldGet(this, _SerializerTokensRegistry_marks, "f")[name] = mark;
        return this;
    }
    createSerializer() {
        return new MarkdownSerializer_1.MarkdownSerializer(tslib_1.__classPrivateFieldGet(this, _SerializerTokensRegistry_nodes, "f"), tslib_1.__classPrivateFieldGet(this, _SerializerTokensRegistry_marks, "f"));
    }
}
exports.SerializerTokensRegistry = SerializerTokensRegistry;
_SerializerTokensRegistry_nodes = new WeakMap(), _SerializerTokensRegistry_marks = new WeakMap();
