export class MarkdownSerializer {
    constructor(nodes: any, marks: any);
    nodes: any;
    marks: any;
    serialize(content: any, options: any): string;
    containsNode(nodeName: any): boolean;
    containsMark(markName: any): boolean;
}
export class MarkdownSerializerState {
    constructor(nodes: any, marks: any, options: any);
    nodes: any;
    marks: any;
    delim: string;
    out: string;
    closed: boolean;
    inTightList: boolean;
    noAutoBlank: boolean;
    /** @type {Boolean|undefined} */
    isAutolink: boolean | undefined;
    /** @type {Boolean} */
    escapeWhitespace: boolean;
    options: any;
    setNoAutoBlank(): void;
    unsetNoAutoBlank(): void;
    flushClose(size: any): void;
    wrapBlock(delim: any, firstDelim: any, node: any, f: any): void;
    atBlank(): boolean;
    ensureNewLine(): void;
    write(content: any): void;
    closeBlock(node: any): void;
    text(text: any, escape: any): void;
    render(node: any, parent: any, index: any): void;
    renderContent(parent: any): void;
    renderInline(parent: any): void;
    renderList(node: any, delim: any, firstDelim: any): void;
    esc(str: any, startOfLine: any): any;
    escWhitespace(str: any): any;
    quote(str: any): string;
    repeat(str: any, n: any): string;
    markString(mark: any, open: any, parent: any, index: any): any;
    getEnclosingWhitespace(text: any): {
        leading: any;
        trailing: any;
    };
}
