import type { ExtensionAuto } from '../../../../core';
export declare enum BreakNodeName {
    HardBreak = "hard_break",
    SoftBreak = "soft_break"
}
export declare const hbType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare const sbType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
export declare type BreaksSpecsOptions = {
    /**
     * @default 'hard'
     */
    preferredBreak?: 'hard' | 'soft';
};
export declare const BreaksSpecs: ExtensionAuto<BreaksSpecsOptions>;
