"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializerTokens = void 0;
const const_1 = require("./const");
exports.serializerTokens = {
    [const_1.HtmlNode.Block]: (state, node) => {
        state.write(node.attrs[const_1.HtmlAttr.Content]);
        state.ensureNewLine();
        state.closeBlock(node);
    },
    [const_1.HtmlNode.Inline]: (state, node) => {
        state.write(node.attrs[const_1.HtmlAttr.Content]);
    },
};
