"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmConfigs = void 0;
require("@diplodoc/transform/dist/js/yfm");
const prosemirror_state_1 = require("prosemirror-state");
const YfmConfigsSpecs_1 = require("./YfmConfigsSpecs");
require("@diplodoc/transform/dist/css/yfm.css");
const YfmConfigs = (builder, opts) => {
    // apply md-it-attrs plugin and ignore yfm lint token
    builder.use(YfmConfigsSpecs_1.YfmConfigsSpecs, opts);
    builder.addPlugin(() => new prosemirror_state_1.Plugin({
        props: {
            attributes: {
                class: 'yfm yfm_no-list-reset yfm-editor',
            },
        },
    }));
};
exports.YfmConfigs = YfmConfigs;
