"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.headingAction = void 0;
const utils_1 = require("./YfmHeadingSpecs/utils");
const commands_1 = require("./commands");
const headingAction = (level) => {
    const cmd = (0, commands_1.toHeading)(level);
    return {
        isActive: (0, utils_1.hasParentHeading)(level),
        isEnable: cmd,
        run: cmd,
    };
};
exports.headingAction = headingAction;
