import React from 'react';
export declare const TextInputFixed: React.ForwardRefExoticComponent<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: string | boolean | undefined;
    autoFocus?: boolean | undefined;
    controlRef?: React.Ref<HTMLInputElement> | undefined;
    defaultValue?: string | undefined;
    disabled?: boolean | undefined;
    error?: string | boolean | undefined;
    errorMessage?: React.ReactNode;
    errorPlacement?: "inside" | "outside" | undefined;
    validationState?: "invalid" | undefined;
    hasClear?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onBlur?: React.FocusEventHandler<HTMLInputElement> | undefined;
    onChange?: React.ChangeEventHandler<HTMLInputElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLInputElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
    onUpdate?: ((value: string) => void) | undefined;
    pin?: import("@gravity-ui/uikit").InputControlPin | undefined;
    placeholder?: string | undefined;
    size?: import("@gravity-ui/uikit").InputControlSize | undefined;
    tabIndex?: number | undefined;
    value?: string | undefined;
    view?: import("@gravity-ui/uikit").InputControlView | undefined;
} & {
    type?: "number" | "text" | "url" | "search" | "tel" | "email" | "password" | undefined;
    controlProps?: React.InputHTMLAttributes<HTMLInputElement> | undefined;
    label?: string | undefined;
    leftContent?: React.ReactNode;
    rightContent?: React.ReactNode;
    startContent?: React.ReactNode;
    endContent?: React.ReactNode;
    note?: React.ReactNode;
} & React.RefAttributes<HTMLSpanElement>>;
export declare const TextAreaFixed: React.ForwardRefExoticComponent<import("@gravity-ui/uikit").DOMProps & import("@gravity-ui/uikit").QAProps & {
    autoComplete?: string | boolean | undefined;
    autoFocus?: boolean | undefined;
    controlRef?: React.Ref<HTMLTextAreaElement> | undefined;
    defaultValue?: string | undefined;
    disabled?: boolean | undefined;
    error?: string | boolean | undefined;
    errorMessage?: React.ReactNode;
    errorPlacement?: "inside" | "outside" | undefined;
    validationState?: "invalid" | undefined;
    hasClear?: boolean | undefined;
    id?: string | undefined;
    name?: string | undefined;
    onBlur?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onChange?: React.ChangeEventHandler<HTMLTextAreaElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLTextAreaElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLTextAreaElement> | undefined;
    onUpdate?: ((value: string) => void) | undefined;
    pin?: import("@gravity-ui/uikit").InputControlPin | undefined;
    placeholder?: string | undefined;
    size?: import("@gravity-ui/uikit").InputControlSize | undefined;
    tabIndex?: number | undefined;
    value?: string | undefined;
    view?: import("@gravity-ui/uikit").InputControlView | undefined;
} & {
    controlProps?: React.TextareaHTMLAttributes<HTMLTextAreaElement> | undefined;
    rows?: number | undefined;
    minRows?: number | undefined;
    maxRows?: number | undefined;
    note?: React.ReactNode;
} & React.RefAttributes<HTMLSpanElement>>;
