"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormFooter = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../classname");
const forms_1 = require("../../i18n/forms");
const b = (0, classname_1.cn)('form-footer');
const FormFooter = ({ className, onCancel, onSubmit, children, }) => {
    return (react_1.default.createElement("div", { className: b(null, [className]) },
        onCancel && (react_1.default.createElement(uikit_1.Button, { size: "s", view: "flat-secondary", onClick: onCancel }, (0, forms_1.i18n)('common_action_cancel'))),
        onSubmit && (react_1.default.createElement(uikit_1.Button, { size: "s", view: "action", onClick: onSubmit }, (0, forms_1.i18n)('common_action_submit'))),
        children));
};
exports.FormFooter = FormFooter;
