export declare const i18n: <G extends "header_title" | "header_hint" | "italic_title" | "italic_hint" | "bold_title" | "bold_hint" | "strikethrough_title" | "strikethrough_hint" | "blockquote_title" | "blockquote_hint" | "code_title" | "code_hint" | "link_title" | "link_hint" | "image_title" | "image_hint" | "list_title" | "list_hint" | "numbered-list_title" | "numbered-list_hint" | "documentation" | "documentation_link", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    header_title: string;
    header_hint: string;
    italic_title: string;
    italic_hint: string;
    bold_title: string;
    bold_hint: string;
    strikethrough_title: string;
    strikethrough_hint: string;
    blockquote_title: string;
    blockquote_hint: string;
    code_title: string;
    code_hint: string;
    link_title: string;
    link_hint: string;
    image_title: string;
    image_hint: string;
    list_title: string;
    list_hint: string;
    "numbered-list_title": string;
    "numbered-list_hint": string;
    documentation: string;
    documentation_link: string;
}[G] : string;
