export declare const i18n: <G extends "link" | "iframe" | "image" | "file", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    iframe: string;
    image: string;
    link: string;
    file: string;
}[G] : string;
