"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FullSpecsPreset = void 0;
const specs_1 = require("../extensions/specs");
const yfm_specs_1 = require("./yfm-specs");
const FullSpecsPreset = (builder, opts) => {
    builder.use(yfm_specs_1.YfmSpecsPreset, opts);
    builder.use(specs_1.MarkSpecs).use(specs_1.ColorSpecs, opts.color);
    if (opts.emoji) {
        builder.use(specs_1.EmojiSpecs, opts.emoji);
    }
};
exports.FullSpecsPreset = FullSpecsPreset;
