"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Action = exports.Key = exports.ModKey = void 0;
var ModKey;
(function (ModKey) {
    ModKey["Mod"] = "mod";
    ModKey["Alt"] = "alt";
    ModKey["Option"] = "alt";
    ModKey["Cmd"] = "cmd";
    ModKey["Ctrl"] = "ctrl";
    ModKey["Control"] = "ctrl";
    ModKey["Shift"] = "shift";
    ModKey["Tab"] = "tab";
})(ModKey = exports.ModKey || (exports.ModKey = {}));
var Key;
(function (Key) {
    Key["Enter"] = "Enter";
    Key["Esc"] = "Escape";
})(Key = exports.Key || (exports.Key = {}));
var Action;
(function (Action) {
    Action["__debug"] = "__debug__";
    Action["Cancel"] = "cancel";
    Action["Submit"] = "submit";
    Action["Undo"] = "undo";
    Action["Redo"] = "redo";
    Action["Bold"] = "bold";
    Action["Italic"] = "italic";
    Action["Underline"] = "underline";
    Action["Strike"] = "strike";
    Action["Code"] = "code";
    Action["Link"] = "link";
    Action["Text"] = "text";
    Action["Heading1"] = "h1";
    Action["Heading2"] = "h2";
    Action["Heading3"] = "h3";
    Action["Heading4"] = "h4";
    Action["Heading5"] = "h5";
    Action["Heading6"] = "h6";
    Action["BulletList"] = "ulist";
    Action["OrderedList"] = "olist";
    Action["LiftListItem"] = "list__action_lift";
    Action["SinkListItem"] = "list__action_sink";
    Action["Quote"] = "quote";
    Action["CodeBlock"] = "codeblock";
    Action["Cut"] = "cut";
    Action["Note"] = "note";
})(Action = exports.Action || (exports.Action = {}));
