export { EmojiConsts } from './const';
export declare type EmojiSpecsOptions = {
    defs?: Record<string, string>;
    shortcuts?: Partial<Record<string, string | string[]>>;
};
export declare const EmojiSpecs: import("../../../../core").ExtensionWithOptions<EmojiSpecsOptions> & {
    readonly NodeName: "emoji";
    readonly NodeAttrs: {
        readonly Markup: "markup";
    };
    readonly nodeType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
};
