import { nodeTypeFactory } from '../../../../utils/schema';
export var MermaidAttrs;
(function (MermaidAttrs) {
    MermaidAttrs["content"] = "content";
    MermaidAttrs["class"] = "class";
    MermaidAttrs["newCreated"] = "newCreated";
})(MermaidAttrs || (MermaidAttrs = {}));
export const mermaidNodeName = 'mermaid';
export const mermaidNodeType = nodeTypeFactory(mermaidNodeName);
export const MermaidAction = 'createMermaid';
export const MermaidConsts = {
    NodeName: mermaidNodeName,
    NodeAttrs: MermaidAttrs,
    nodeType: mermaidNodeType,
};
