import '@diplodoc/transform/dist/js/yfm';
import { Plugin } from 'prosemirror-state';
import { YfmConfigsSpecs } from './YfmConfigsSpecs';
import '@diplodoc/transform/dist/css/yfm.css';
import './yfm.css'; // eslint-disable-line import/order
export const YfmConfigs = (builder, opts) => {
    // apply md-it-attrs plugin and ignore yfm lint token
    builder.use(YfmConfigsSpecs, opts);
    builder.addPlugin(() => new Plugin({
        props: {
            attributes: {
                class: 'yfm yfm_no-list-reset yfm-editor',
            },
        },
    }));
};
