import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from '../../../../core';
export { YfmHeadingAttr } from './const';
export declare type YfmHeadingSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    headingPlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
/** YfmHeading extension needs markdown-it-attrs plugin */
export declare const YfmHeadingSpecs: ExtensionAuto<YfmHeadingSpecsOptions>;
