import { PluginOptions } from '@diplodoc/html-extension/plugin/transform';
import type { ExtensionNodeSpec } from '../../../../core';
export { yfmHtmlBlockNodeName } from './const';
export interface YfmHtmlBlockSpecsOptions extends Omit<PluginOptions, 'runtimeJsPath' | 'containerClasses' | 'bundle' | 'embeddingMode'> {
    nodeView?: ExtensionNodeSpec['view'];
}
export declare const YfmHtmlBlockSpecs: import("../../../../core").ExtensionWithOptions<YfmHtmlBlockSpecsOptions> & {
    readonly NodeName: "yfm_html_block";
    readonly NodeAttrs: typeof import("./const").YfmHtmlBlockAttrs;
    readonly nodeType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
};
