/** @internal */
export function useLatexRuntime(meta, runtime) {
    var _a, _b;
    const [script, style] = typeof runtime === 'string' ? [runtime, runtime] : [runtime.script, runtime.style];
    if ((_a = meta === null || meta === void 0 ? void 0 : meta.script) === null || _a === void 0 ? void 0 : _a.includes(script)) {
        import(/* webpackChunkName: "latex-runtime" */ '@diplodoc/latex-extension/runtime');
    }
    if ((_b = meta === null || meta === void 0 ? void 0 : meta.style) === null || _b === void 0 ? void 0 : _b.includes(style)) {
        // @ts-expect-error // no types for styles
        import(/* webpackChunkName: "latex-styles" */ '@diplodoc/latex-extension/runtime/styles');
    }
}
